MODULE  chunkModule

  TYPE, PUBLIC :: chunk_type
    REAL(KIND=8) t(12,12,12)
    INTEGER(KIND=8) objPtr
    INTEGER index, iterations
    INTEGER xidx, yidx, zidx
    INTEGER xm, xp, ym, yp, zm, zp
    REAL(KIND=8), dimension(100):: sbxm, sbxp, sbym, sbyp, sbzm, sbzp
    REAL(KIND=8), dimension(100):: rbxm, rbxp, rbym, rbyp, rbzm, rbzp
  END TYPE chunk_type

  TYPE chunk_struct
    TYPE (chunk_type), POINTER::  chunk_ptr
  END TYPE chunk_struct

  INTEGER , parameter :: nx=32, ny=32, nz=32, tchunks=32768
  REAL(KIND=8) startTime, endTime

END MODULE chunkModule

